Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi.util
Class ECPModelElementChangeListener

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.ecp.edit.spi.util.ECPModelElementChangeListener

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public abstract class ECPModelElementChangeListener

extends org.eclipse.emf.common.notify.impl.AdapterImpl

Listens to the changes of one modelelement.

Author:
  helming

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`ECPModelElementChangeListener(org.eclipse.emf.ecore.EObject modelelement)` Default constructor.

Method Summary
`void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`
`abstract void` | `onChange(org.eclipse.emf.common.notify.Notification notification)` Handle changes to the model element.
`void` | `remove()` Removes the `ECPModelElementChangeListener`.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, isAdapterForType, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPModelElementChangeListener

    public ECPModelElementChangeListener(org.eclipse.emf.ecore.EObject modelelement)

  Default constructor.

  Parameters:
    `modelelement` - the modelelement to listen on

Method Detail

### onChange

    public abstract void onChange(org.eclipse.emf.common.notify.Notification notification)

  Handle changes to the model element.

  Parameters:
    `notification` - the EMF notification, providing details on the change

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`
  See Also:
    `AdapterImpl.notifyChanged(org.eclipse.emf.common.notify.Notification)`

### remove

    public void remove()

  Removes the `ECPModelElementChangeListener`.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.